Foxit PDF SDK

Instance Methods | Properties | List of all members
FSCertificateEncryptData Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithIs_encrypt_metadata:cipher:envelopes:
| Constructor, with parameters. More...
(id) | - initWithOther:
| Constructor, with another certificate encrypt data object. More...
(void) | - set:cipher:envelopes:
| Set value. More...

## Properties
FSSecurityHandlerCipherType | cipher
| Cipher type. Please refer to values starting from FSSecurityHandlerCipherRC4 and this should be one of these values except FSSecurityHandlerCipherNone.
NSArray< NSData * > * | envelopes
| A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.
BOOL | is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. YES means to encrypt metadata, and NO means not to encrypt metadata.

## Detailed Description

This class represents some data used for class FSCertificateSecurityHandler .

## Method Documentation

## ◆ initWithIs_encrypt_metadata:cipher:envelopes:()

- (id) initWithIs_encrypt_metadata: |  | (BOOL) | is_encrypt_metadata
cipher: |  | (FSSecurityHandlerCipherType) | cipher
envelopes: |  | (NSArray<NSData *> *) | envelopes

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | YES means to encrypt metadata, and NO means not to encrypt metadata.
  [in] | cipher | Cipher type. Please refer to values starting from FSSecurityHandlerCipherRC4 and this should be one of these values except FSSecurityHandlerCipherNone.
  [in] | envelopes | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSCertificateEncryptData*) | other |

Constructor, with another certificate encrypt data object.

Parameters

  [in] | other | Another certificate encrypt data object.

## ◆ set:cipher:envelopes:()

- (void) set: |  | (BOOL) | is_encrypt_metadata
cipher: |  | (FSSecurityHandlerCipherType) | cipher
envelopes: |  | (NSArray<NSData *> *) | envelopes

Set value.

Parameters

  [in] | is_encrypt_metadata | YES means to encrypt metadata, and NO means not to encrypt metadata.
  [in] | cipher | Cipher type. Please refer to values starting from FSSecurityHandlerCipherRC4 and this should be one of these values except FSSecurityHandlerCipherNone.
  [in] | envelopes | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

Returns
  None.